Customer
Storefront Customer API endpoints
An API call to get the customer.
ReturnsCustomer
Customer object response
Error responses
404objectThe customer does not exists for the given user. Please create a customer first.
An API call to get the customer referral info.
ReturnsCustomerReferral
Customer referral object response
referral_linkstringError responses
404objectThe customer does not exists for the given user. Please create a customer first.
An api call to update customer.
Request body
Store customer
marketing_consentoptionalbooleantos_consentoptionalbooleanexternal_idoptionalstring | nullReturnsCustomer
Customer object response
Error responses
401objectMissing or invalid customer token.
422objectmarketing_consent or tos_consent is not a boolean, or is sent after the customer already gave that consent ('The marketing consent field is prohibited.'). first_name or last_name is not 1-50 characters, or external_id is not a string.